import { Component, Input } from '@angular/core';
import { BookCardComponent } from '../book-card/book-card.component';
import { Book } from '../../data/book';

@Component({
  selector: 'app-related-books',
  standalone: true,
  imports: [BookCardComponent],
  templateUrl: './related-books.component.html',
  styleUrl: './related-books.component.css',
})
export class RelatedBooksComponent {
  @Input() books: Book[] = [];
  @Input() type: number = 1;
}
