import { Component, EventEmitter, Input, Output } from '@angular/core';
import { TagModule } from 'primeng/tag';

@Component({
  selector: 'app-tags',
  standalone: true,
  imports: [TagModule],
  templateUrl: './tags.component.html',
  styleUrl: './tags.component.css',
})
export class TagsComponent {
  @Input() tags: string[] = [];
  @Output() tag = new EventEmitter<string>();

  onClick(tag: string) {
    this.tag.next(tag);
  }
}
