import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from '../../environments/environment';

@Injectable({
  providedIn: 'root',
})
export class MyBooksService {
  constructor(private http: HttpClient) {}

  getMyBooks(take: number, skip: number) {
    return this.http.get(environment.API_URL + '/my-books', {
      params: {
        take,
        skip,
      },
      headers: {
        'Content-Type': 'application-json',
      },
    });
  }
}
