import { Component, Input } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MAX_KEYPOINT_INPUT_TEXT_LENGTH } from '../../data/constants';

@Component({
  selector: 'app-character-count',
  standalone: true,
  imports: [CommonModule],
  templateUrl: './character-count.component.html',
  styleUrl: './character-count.component.css',
})
export class CharacterCountComponent {
  @Input() maxCount = MAX_KEYPOINT_INPUT_TEXT_LENGTH;
  @Input() value = 0;
}
