import { CommonModule } from '@angular/common';
import { Component, Input } from '@angular/core';
import { BOOK_PROKEN_IMAGE_PLACEHOLDER } from '../../data/constants';

@Component({
  selector: 'app-flip-cover',
  standalone: true,
  imports: [CommonModule],
  templateUrl: './flip-cover.component.html',
  styleUrl: './flip-cover.component.css',
})
export class FlipCoverComponent {
  @Input() shadow = true;
  @Input() front = BOOK_PROKEN_IMAGE_PLACEHOLDER;
  @Input() back = BOOK_PROKEN_IMAGE_PLACEHOLDER;
  @Input() side = BOOK_PROKEN_IMAGE_PLACEHOLDER;

  onContextMenu(e: any) {
    e.preventDefault();
    e.stopPropagation();
    e.stopImmediatePropagation();
  }
}
