import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-series',
  standalone: true,
  imports: [],
  templateUrl: './series.component.html',
  styleUrl: './series.component.css',
})
export class SeriesComponent {
  @Input() series: string = '';
  @Output() click = new EventEmitter<void>();

  onClick() {
    this.click.next();
  }
}
