export interface Book {
  id: number;
  title: string;
  subtitle: string;
  author: string;
  publishDate: Date;
  description: string;
  folderPath: string;
  language: string;
  publisher: string;
  isbn: string;
  frontImageUrl: string;
  backImageUrl: string;
  sideImageUrl: string;
  series: string;
  topic: number;
  tags: string;
  printUrl: string;
  pdfUrl: string;
  epubUrl: string;
  zipUrl: string;
  price: number;
  published: boolean;
  keyPoints: string;
  darkCover: boolean;
  order: number;
  numberOfPages: number;
}
