import { Component } from '@angular/core';
import { RouterLink } from '@angular/router';
import { NewsletterComponent } from '../../pages/newsletter/newsletter.component';

@Component({
  selector: 'app-footer',
  standalone: true,
  imports: [RouterLink, NewsletterComponent],
  templateUrl: './footer.component.html',
  styleUrl: './footer.component.css',
})
export class FooterComponent {
  onCourses() {
    window.open('https://courses.abdelfattah-ragab.com', '_blank');
  }

  onLearn() {
    window.open('https://learn.abdelfattah-ragab.com', '_blank');
  }
}
