import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-button',
  standalone: true,
  imports: [],
  templateUrl: './button.component.html',
  styleUrl: './button.component.css',
})
export class ButtonComponent {
  @Input() type: 'button' | 'menu' | 'reset' | 'submit' = 'button';
  @Output() click = new EventEmitter<void>();

  onClick() {
    this.click.next();
  }
}
